# Status-Daemon

Dieser Daemon läuft auf einem Rechner der im Freifunk-Mesh hängt
und fragt periodisch (Default = 15s) die Alfred-Daten ab.

Die Daten werden aggregiert und können anschließend an mehrere Datensenken weitergegeben:
* Knoten-Management (allgemeine Meta-Daten zu eigenen Knoten)
* Redis-Datenbank (zentrale Datenbank mit aktuellen Knoten-Daten)
* Graphite (Knoten-Graphen und Detail-Statistiken)

## Voraussetzungen

* auf dem Rechner läuft ein (ALFRED-Daemon)[http://www.open-mesh.org/projects/open-mesh/wiki/Alfred]

## Installation

```
sudo apt-get install python-daemon python-requests
sudo ln -s "`pwd`/contrib/init-script.sh" /etc/init.d/ffstatus
echo "DAEMON_DIR=`pwd`" | sudo tee -a /etc/default/ffstatus
sudo update-rc.d ffstatus defaults
sudo update-rc.d ffstatus enable
```

